# norootforbuild
%define pkg_name    radius
%define pkg_version 1.2.7
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-radius
Version:	%{pkg_version}
Release:	2.3
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	gcc gcc-c++
BuildRequires:	php5-devel >= 5.2
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:	Radius client library

%description
This package is based on the libradius of FreeBSD, with some modifications and extensions.
This PECL provides full support for RADIUS authentication (RFC 2865) and RADIUS accounting (RFC 2866),
works on Unix and on Windows. Its an easy way to authenticate your users against the user-database of your
OS (for example against Windows Active-Directory via IAS).

Authors:
---------

		Michael Bretterklieber
		Adam Harvey

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-libdir=%{_lib} \
 --enable-radius

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable radius extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/radius.ini
echo "extension = radius.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/radius.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/radius.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/radius.ini
%doc radius.conf

%changelog
* Fri Jun 28 2013 cs@linux-administrator.com
- update to release 1.2.7
* Thu Jun 20 2013 cs@linux-administrator.com
- initial package
